FEM Analysis/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
{{Docnav
|
|[[FEM_MaterialSolid|Material for solid]]
|[[FEM_Module|FEM]]
|IconL=
|IconR=FEM_MaterialSolid.svg
|IconC=Workbench_FEM.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru|Name=FEM Analysis|Name/ru=FEM Analysis|MenuLocation=FEM → Analysis container‏‎||Workbenches=[[FEM Module/ru|FEM]]|Shortcut=N,A|SeeAlso=[[FEM_tutorial/ru|FEM tutorial]]}}
|Name=FEM Analysis
|Name/ru=FEM Analysis
|MenuLocation=Model → Блок анализа
|Workbenches=[[FEM Module/ru|FEM]]
|Shortcut={{KEY|N}} {{KEY|A}}
|SeeAlso=[[FEM_tutorial/ru|FEM tutorial]]
}}
</div>
</div>


Line 11: Line 28:




==How to use==
==Usage==


# Press the {{KEY|[[Image:FEM_Analysis.png|24px]] [[FEM_Analysis|Analysis container]]}} button, or press {{KEY|N}} then {{KEY|A}} keys. A new Analysis is created and set to active.
# Press the {{KEY|[[Image:FEM_Analysis.svg|24px]] [[FEM_Analysis|Analysis container]]}} button, or press {{KEY|N}} then {{KEY|A}} keys. A new Analysis is created and set to active.
# Other objects could be added or removed to the analysis container by drag and drop.
# Other objects could be added or removed to the analysis container by drag and drop.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.
Line 48: Line 65:
App.ActiveDocument.MechanicalAnalysis.Member = member
App.ActiveDocument.MechanicalAnalysis.Member = member
}}
}}



Examples:
Examples:
Line 64: Line 80:
App.ActiveDocument.MechanicalAnalysis.Member = member
App.ActiveDocument.MechanicalAnalysis.Member = member
}}
}}



{{clear}}
{{clear}}
{{Docnav
<languages/>
|
|[[FEM_MaterialSolid|Material for solid]]
|[[FEM_Module|FEM]]
|IconL=
|IconR=FEM_MaterialSolid.svg
|IconC=Workbench_FEM.svg
}}

{{FEM Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 15:01, 1 December 2020

FEM Analysis

Системное название
FEM Analysis
Расположение в меню
Model → Блок анализа
Верстаки
FEM
Быстрые клавиши
N A
Представлено в версии
-
См. также
FEM tutorial

Description

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:


Usage

  1. Press the Analysis container button, or press N then A keys. A new Analysis is created and set to active.
  2. Other objects could be added or removed to the analysis container by drag and drop.
  3. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.


Options

  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [1] for more informations.


Properties

  • ДанныеOutpuDir: Specifies the working directory of the analysis


Scripting

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member